#
# spec file for package perl-POE-Component-IRC
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-POE-Component-IRC
Version:        6.88
Release:        1.1
%define cpan_name POE-Component-IRC
Summary:        A fully event-driven IRC client module
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/POE-Component-IRC/
Source:         http://www.cpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IRC::Utils) >= 0.12
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(POE) >= 1.311
BuildRequires:  perl(POE::Component::Syndicator)
BuildRequires:  perl(POE::Driver::SysRW)
BuildRequires:  perl(POE::Filter::IRCD) >= 2.42
BuildRequires:  perl(POE::Filter::Line)
BuildRequires:  perl(POE::Filter::Stackable)
BuildRequires:  perl(POE::Filter::Stream)
BuildRequires:  perl(POE::Session)
BuildRequires:  perl(POE::Wheel::ReadWrite)
BuildRequires:  perl(POE::Wheel::SocketFactory)
BuildRequires:  perl(Test::Differences) >= 0.61
Requires:       perl(IRC::Utils) >= 0.12
Requires:       perl(List::MoreUtils)
Requires:       perl(POE) >= 1.311
Requires:       perl(POE::Component::Syndicator)
Requires:       perl(POE::Driver::SysRW)
Requires:       perl(POE::Filter::IRCD) >= 2.42
Requires:       perl(POE::Filter::Line)
Requires:       perl(POE::Filter::Stackable)
Requires:       perl(POE::Filter::Stream)
Requires:       perl(POE::Session)
Requires:       perl(POE::Wheel::ReadWrite)
Requires:       perl(POE::Wheel::SocketFactory)
Recommends:     perl(POE::Component::Client::DNS) >= 0.99
%{perl_requires}

%description
POE::Component::IRC is a POE component (who'd have guessed?) which acts as
an easily controllable IRC client for your other POE components and
sessions. You create an IRC component and tell it what events your session
cares about and where to connect to, and it sends back interesting IRC
events when they happen. You make the client do things by sending it
events. That's all there is to it. Cool, no?

[Note that using this module requires some familiarity with the details of
the IRC protocol. I'd advise you to read up on the gory details of RFC 1459
(the http://www.faqs.org/rfcs/rfc1459.html manpage) before you get started.
Keep the list of server numeric codes handy while you program. Needless to
say, you'll also need a good working knowledge of POE, or this document
will be of very little use to you.]

The POE::Component::IRC distribution has a _docs/_ folder with a collection
of salient documentation including the pertinent RFCs.

POE::Component::IRC consists of a POE::Session that manages the IRC
connection and dispatches 'irc_' prefixed events to interested sessions and
an object that can be used to access additional information using methods.

Sessions register their interest in receiving 'irc_' events by sending
/register to the component. One would usually do this in your '_start'
handler. Your session will continue to receive events until you
/unregister. The component will continue to stay around until you tell it
not to with /shutdown.

The /SYNOPSIS demonstrates a fairly basic bot.

See POE::Component::IRC::Cookbook for more examples.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 6.88
  see /usr/share/doc/packages/perl-POE-Component-IRC/Changes
* Mon Apr  4 2011 coolo@novell.com
- updated to 6.57, see Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Nov 14 2009 dmueller@suse.de
- Initial package (6.16)
